Skip to main content
GET
/
observability
/
destinations
/
{id}
Get an observability destination
curl --request GET \
  --url https://openrouter.ai/api/v1/observability/destinations/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "api_key_hashes": null,
    "config": {
      "baseUrl": "https://us.cloud.langfuse.com",
      "publicKey": "pk-l...EfGh",
      "secretKey": "sk-l...AbCd"
    },
    "created_at": "2025-08-24T10:30:00Z",
    "enabled": true,
    "filter_rules": null,
    "id": "99999999-aaaa-bbbb-cccc-dddddddddddd",
    "name": "Production Langfuse",
    "privacy_mode": false,
    "sampling_rate": 1,
    "type": "langfuse",
    "updated_at": "2025-08-24T15:45:00Z",
    "workspace_id": "550e8400-e29b-41d4-a716-446655440000"
  }
}

Authorizations

Authorization
string
header
required

API key as bearer token in Authorization header

Path Parameters

id
string<uuid>
required

The destination ID (UUID).

Example:

"99999999-aaaa-bbbb-cccc-dddddddddddd"

Response

The observability destination

data
object
required

The observability destination.

Example:
{
"api_key_hashes": null,
"config": {
"baseUrl": "https://us.cloud.langfuse.com",
"publicKey": "pk-l...EfGh",
"secretKey": "sk-l...AbCd"
},
"created_at": "2025-08-24T10:30:00Z",
"enabled": true,
"filter_rules": null,
"id": "99999999-aaaa-bbbb-cccc-dddddddddddd",
"name": "Production Langfuse",
"privacy_mode": false,
"sampling_rate": 1,
"type": "langfuse",
"updated_at": "2025-08-24T15:45:00Z",
"workspace_id": "550e8400-e29b-41d4-a716-446655440000"
}